Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class PBEParameters

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.parameters.PBEParameters

All Implemented Interfaces:
  java.lang.Cloneable, Parameters

public class PBEParameters
extends java.lang.Object
implements Parameters

This class encapsulates parameters for the Mechanism.PBA_* and Mechanism.PBA_SHA1_WITH_SHA1_HMAC mechanisms.

Version:
  1.0
Author:
  Karl Scheibelhofer

Field Summary
`protected char[]` | `initializationVector_` The 8-byte initialization vector (IV), if an IV is required.
`protected long` | `iterations_` The number of iterations required for the generation.
`protected char[]` | `password_` The password to be used in the PBE key generation.
`protected char[]` | `salt_` The salt to be used in the PBE key generation.

Constructor Summary
`PBEParameters(char[] initializationVector, char[] password, char[] salt, long iterations)` Create a new PBEDeriveParameters object with the given attributes.

Method Summary
`java.lang.Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(java.lang.Object otherObject)` Compares all member variables of this object with the other object.
`char[]` | `getInitializationVector()` Get the 8-byte initialization vector (IV), if an IV is required.
`long` | `getIterations()` Get the number of iterations required for the generation.
`char[]` | `getPassword()` Get the password to be used in the PBE key generation.
`java.lang.Object` | `getPKCS11ParamsObject()` Get this parameters object as an object of the CK_PBE_PARAMS class.
`char[]` | `getSalt()` Get the salt to be used in the PBE key generation.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`void` | `setInitializationVector(char[] initializationVector)` Set the 8-byte initialization vector (IV), if an IV is required.
`void` | `setIterations(long iterations)` Set the number of iterations required for the generation.
`void` | `setPassword(char[] password)` Set the password to be used in the PBE key generation.
`void` | `setSalt(char[] salt)` Set the salt to be used in the PBE key generation.
`java.lang.String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### initializationVector_

    protected char[] initializationVector_

  The 8-byte initialization vector (IV), if an IV is required.

### password_

    protected char[] password_

  The password to be used in the PBE key generation.

### salt_

    protected char[] salt_

  The salt to be used in the PBE key generation.

### iterations_

    protected long iterations_

  The number of iterations required for the generation.

Constructor Detail

### PBEParameters

    public PBEParameters(char[] initializationVector,
                         char[] password,
                         char[] salt,
                         long iterations)

  Create a new PBEDeriveParameters object with the given attributes.
  Parameters:
    `initializationVector` - The 8-byte initialization vector (IV), if an IV is required.
    `password` - The password to be used in the PBE key generation.
    `salt` - The salt to be used in the PBE key generation.
    `iterations` - The number of iterations required for the generation.

Method Detail

### clone

    public java.lang.Object clone()

  Create a (deep) clone of this object.
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone of this object.

### getPKCS11ParamsObject

    public java.lang.Object getPKCS11ParamsObject()

  Get this parameters object as an object of the CK_PBE_PARAMS class.
  Specified by:
    `getPKCS11ParamsObject` in interface `Parameters`
  Returns:
    This object as a CK_PBE_PARAMS object.

### getInitializationVector

    public char[] getInitializationVector()

  Get the 8-byte initialization vector (IV), if an IV is required.
  Returns:
    The 8-byte initialization vector (IV), if an IV is required.

### getPassword

    public char[] getPassword()

  Get the password to be used in the PBE key generation.
  Returns:
    The password to be used in the PBE key generation.

### getSalt

    public char[] getSalt()

  Get the salt to be used in the PBE key generation.
  Returns:
    The salt to be used in the PBE key generation.

### getIterations

    public long getIterations()

  Get the number of iterations required for the generation.
  Returns:
    The number of iterations required for the generation.

### setInitializationVector

    public void setInitializationVector(char[] initializationVector)

  Set the 8-byte initialization vector (IV), if an IV is required.
  Parameters:
    `initializationVector` - The 8-byte initialization vector (IV), if an IV is required.

### setPassword

    public void setPassword(char[] password)

  Set the password to be used in the PBE key generation.
  Parameters:
    `password` - The password to be used in the PBE key generation.

### setSalt

    public void setSalt(char[] salt)

  Set the salt to be used in the PBE key generation.
  Parameters:
    `salt` - The salt to be used in the PBE key generation.

### setIterations

    public void setIterations(long iterations)

  Set the number of iterations required for the generation.
  Parameters:
    `iterations` - The number of iterations required for the generation.

### toString

    public java.lang.String toString()

  Returns the string representation of this object. Do not parse data from this string, it is for debugging only.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of this object.

### equals

    public boolean equals(java.lang.Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The hash code of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18